Skip to content

Get Case Pipelines ​

This API endpoint enables you to fetch case pipelines.

Input ​


Endpoint ​

Get /cases/{caseId}/pipelines


HTTP request headers ​

Content-Type  string

Setting to application/json is required.

Authorization  string

This is the token you fetched e.g. Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJS…


Path parameters ​

caseID  string - Required

The unique case ID you wish to retrieve.

Output ​


Http status codes ​
Status CodeDescription
200OK
400Bad Request
404Resource not found
500Internal Server Error

Request example

bash
curl  -X GET \
  'https://client.willsuite.co.uk/engine/api/cases/d57bc3b7-4f44-4846-9741-985db9af9b61/pipelines' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...'
php
<?php

$client = new http\Client;
$request = new http\Client\Request;

$request->setRequestUrl('https://client.willsuite.co.uk/engine/api/cases/d57bc3b7-4f44-4846-9741-985db9af9b61/pipelines');
$request->setRequestMethod('GET');
$request->setHeaders([
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...'
]);

$client->enqueue($request)->send();
$response = $client->getResponse();

echo $response->getBody();

Response

json
[
  {
    "id": "fbead6bc-54f6-4d46-a0b8-5220c5551f38",
    "title": "My Custom Pipeline",
    "pipeline_updates": [
      {
        "entered_at": "2024-01-15 09:19:03",
        "notes": null,
        "pipeline_step_id": "592c14f5-01a2-4655-a4e2-e4280f4b0be8",
        "pipeline_step": {
          "id": "592c14f5-01a2-4655-a4e2-e4280f4b0be8",
          "title": "Task"
        }
      },
      {
        "entered_at": "2024-01-15 09:16:22",
        "notes": null,
        "pipeline_step_id": "3a2878dc-556a-4c79-a26c-a22009061eff",
        "pipeline_step": {
          "id": "3a2878dc-556a-4c79-a26c-a22009061eff",
          "title": "Email"
        }
      },
      {
        "entered_at": "2024-01-15 09:16:18",
        "notes": null,
        "pipeline_step_id": null,
        "pipeline_step": null
      }
    ]
  }
]
json
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": { "type": "string" },
      "title": { "type": "string" },
      "pipeline_updates": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "entered_at": { "type": "string", "format": "date-time" },
            "notes": { "type": ["string", "null"] },
            "pipeline_step_id": { "type": ["string", "null"] },
            "pipeline_step": {
              "type": "object",
              "properties": {
                "id": { "type": ["string", "null"] },
                "title": { "type": ["string", "null"] }
              },
              "required": ["id", "title"],
              "additionalProperties": false
            }
          },
          "required": ["entered_at"],
          "additionalProperties": false
        }
      }
    },
    "required": ["id", "title", "pipeline_updates"],
    "additionalProperties": false
  }
}

Process Pipeline ​

This API endpoint enables you to progress the pipeline to the next stage.

Input ​


Endpoint ​

Post /cases/{caseId}/pipelines/{pipelineId}/progress


HTTP request headers ​

Content-Type  string

Setting to application/json is required.

Authorization  string

This is the token you fetched e.g. Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJS…


Path parameters ​

caseID  string - Required

The unique case ID for which you intend to generate a new appointment.

pipelineID  string - Required

The unique pipeline ID for which you intend to progress to next stage.


Body parameters ​

notes  string

Notes to attach to the new stage, you wish to process.

pipeline_step_id  string

The unique pipeline step ID you wish to progress to, this is not required if you wish simply progress to the next step.

Output ​


Http status codes ​
Status CodeDescription
200OK
400Bad Request
404Resource not found
500Internal Server Error

Request example

bash
curl  -X POST \
  'https://client.willsuite.co.uk/engine/api/cases/d57bc3b7-4f44-4846-9741-985db9af9b61/pipelines/fbead6bc-54f6-4d46-a0b8-5220c5551f38/progress' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...' \
   --data-raw '{
    "notes": "Progressed via API"
  }'
php
<?php

$client = new http\Client;
$request = new http\Client\Request;


$body = new http\Message\Body;
$body->append('{
  "notes": "Progressed via API"
}');


$request->setRequestUrl('https://client.willsuite.co.uk/engine/api/cases/d57bc3b7-4f44-4846-9741-985db9af9b61/address-book/entry');
$request->setRequestMethod('POST');
$request->setBody($body);

$request->setHeaders([
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...'
]);

$client->enqueue($request)->send();
$response = $client->getResponse();

echo $response->getBody();

Response

Status: 200